%define debug_package %{nil}

%define rel 1
%define powerdevilui_major 5
%define libpowerdevilui %mklibname powerdevilui %{powerdevilui_major}
%define powerdevilcore_major 2
%define libpowerdevilcore %mklibname powerdevilcore %{powerdevilcore_major}
%define powerdevilconfigcommonprivate_major 5
%define libpowerdevilconfigcommonprivate %mklibname powerdevilconfigcommonprivate %{powerdevilconfigcommonprivate_major}
%define powerdevil_devel %mklibname %name -d

Summary:        Manages the power consumption settings of a Plasma Shell
Name:           powerdevil
Version: 		5.6.5
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
Source1:		30-org.freedesktop.upower.pkla
URL:            https://www.kde.org/

BuildRequires:  libxcb-devel
BuildRequires:  %{_lib}xcb-util-image-devel
BuildRequires:  %{_lib}xcb-util-wm-devel
BuildRequires:  %{_lib}xrandr2-devel

BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5x11extras-devel
BuildRequires: %{_lib}qt5xml-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
BuildRequires:  kauth-devel
BuildRequires:  kidletime-devel
BuildRequires:  kconfig-devel
BuildRequires:  solid-devel
BuildRequires:  ki18n-devel
BuildRequires:  kglobalaccel-devel
BuildRequires:  kio-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  plasma-workspace-devel
BuildRequires:  kwayland-devel

BuildRequires:  %{_lib}kf5kscreen-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

Requires:       upower

%description
Manages the power consumption settings of a Plasma Shell

%files -f %{name}.lang
%_sysconfdir/dbus-1/system.d/org.kde.powerdevil.backlighthelper.conf
%_qt5_plugindir/*.so
%_kf5_plugindir/kded/powerdevil.so
%_libexecdir/kauth/backlighthelper
%_datadir/dbus-1/system-services/org.kde.powerdevil.backlighthelper.service
%_kf5_knotificationsdir/powerdevil.notifyrc
%_kf5_services/*.desktop
%_kf5_servicetypes/powerdevilaction.desktop
%_datadir/polkit-1/actions/org.kde.powerdevil.backlighthelper.policy
#--------------------------------------------------------------------
%_kf5_libdir/libpowerdevilui.so.%{powerdevilui_major}*
#--------------------------------------------------------------------
%_kf5_libdir/libpowerdevilcore.so.%{powerdevilcore_major}*
#--------------------------------------------------------------------
%_kf5_libdir/libpowerdevilconfigcommonprivate.so.%{powerdevilconfigcommonprivate_major}*
#--------------------------------------------------------------------
/etc/polkit-1/localauthority/50-local.d/30-org.freedesktop.upower.pkla

%package handbook
Summary: %name Handbook
Group: Documentation
BuildArch: noarch

%description handbook
This package provides %name Handbook.

%files handbook 
%doc %_docdir/HTML/en/kcontrol/powerdevil

#--------------------------------------------------------------------

%package -n %powerdevil_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name
Provides:       %name-devel = %{version}-%{release}

%description -n %powerdevil_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %powerdevil_devel
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

mkdir -p %buildroot/etc/polkit-1/localauthority/50-local.d
install -m 0644 %SOURCE1 %buildroot/etc/polkit-1/localauthority/50-local.d/30-org.freedesktop.upower.pkla

%find_lang %{name} --all-name


%changelog
* Tue Jun 14 2016 bb <bb> 5.6.5-1pclos2016
- update

